{{set . "title" "Warehouse"}}
{{template "header.html" .}}

<header class="hero-unit">
    <div class="container">
        <div class="row">
            <div class="hero-text">
                <h1>Edit Warehouse</h1>
            </div>
        </div>
    </div>
</header>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            {{template "flash.html" .}}
        </div>
        <div class="col-md-12">
            <form method="POST" action="{{if .Warehouse.ID}}{{url "Warehouse.Update"}}{{else}}{{url "Warehouse.Create"}}{{end}}">
            {{with $field := field "warehouse.ID" .}}
            <input type="hidden" id="{{$field.ID}}" name="id" value="{{$field.Value}}">
            {{end}}
            <div class="form-group">
                {{with $field := field "warehouse.Name" .}}
                <label for="{{$field.ID}}">Name * </label>
                <input type="text" id="{{$field.ID}}" name="name" value="{{$field.Value}}"
                       class="{{$field.ErrorClass}}">
                <span class="error">{{$field.Error}}</span>

                {{end}}
            </div>
            <div class="form-group">
                {{with $field := field "warehouse.VatNumber" .}}
                <label for="{{$field.ID}}">VatNumber * </label>
                <input type="text" id="{{$field.ID}}" name="vatnumber" value="{{$field.Value}}"
                       class="{{$field.ErrorClass}}">
                <span class="error">{{$field.Error}}</span>

                {{end}}
            </div>
            <div class="form-group">
                {{with $field := field "warehouse.CompanyNumber" .}}
                <label for="{{$field.ID}}">CompanyNumber * </label>
                <input type="text" id="{{$field.ID}}" name="companynumber" value="{{$field.Value}}"
                       class="{{$field.ErrorClass}}">
                <span class="error">{{$field.Error}}</span>

                {{end}}
            </div>

            <input type="submit" class="btn btn-success" value="Save warehouse"/>
            </form>
        </div>

        <div class="col-md-12 panel-default">
            <div class="panel-body">
                <h2>Warehouse products</h2>
                <div id="grid"></div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(function () {
        var dataManager2 = ej.DataManager({
            url: '{{url "Warehouse.ProductsGrid" .warehouse.ID}}',
            crossDomain: true,
            removeUrl: '{{url "Warehouse.GridDelete"}}',
            adaptor: new ej.UrlAdaptor()
        });

        $("#grid").ejGrid({
            dataSource: dataManager2,
            allowPaging: true,
            allowSorting: true,
            allowFiltering: true,
            isResponsive: true,
            enablePersistence: true,
            showColumnChooser: true,
            allowReordering: true,
            pageSettings: {pageSize: 10},
            filterSettings: {
                filterType: "menu"
            },
            toolbarSettings: {
                showToolbar: true,
                toolbarItems: [ej.Grid.ToolBarItems.Delete]
            },
            editSettings: {
                allowEditing: true,
                allowDeleting: true
            },
            columns: [
                {type: "checkbox", width: 50},
                {
                    field: "name",
                    headerText: 'Name',
                    type: "string"
                }, {
                    field: "Barcode",
                    headerText: 'Barcode',
                    type: "string"
                }, {
                    field: "Ean",
                    headerText: 'Ean',
                    type: "string"
                }, {
                    field: "Upc",
                    headerText: 'Upc',
                    type: "string"
                }, {
                    field: "Status",
                    headerText: 'Status',
                    type: "boolean"
                }, {
                    field: "Category.0.name",
                    headerText: 'Category',
                    type: "string"
                },
                {
                    headerText: "",
                    template: "<a href='{{url "Product.Index"}}/{^{:ID}}'>Edit</a>",
        }
    ]
    })
    });
</script>
{{template "footer.html" .}}